# Basic AF IP Camera Recording

## Overview
Dead-simple IP camera recording with FFmpeg. Chunks the video, deletes old files. No bloat.

## Setup

### 1. Configure `.env`
Copy `example.env` to `.env`:
```bash
cp example.env .env
```

Edit `.env` as needed:
```env
OUTPUT_PATH=/path/to/cathut
RTSP_URL=rtsp://admin:963852pop@192.168.51.17:554/Streaming/Channels/102
CHUNK_SIZE=600
MAX_AGE=720
```

- **OUTPUT_PATH**: Where video chunks go.
- **RTSP_URL**: Your camera stream URL.
- **CHUNK_SIZE**: Video segment length in seconds (default: 600).
- **MAX_AGE**: Max file age in minutes before deletion (default: 720).

### 2. Make Scripts Executable
```bash
chmod +x start_recording.sh cleanup.sh
```

### 3. Start Recording
```bash
./start_recording.sh
```

### 4. Set Up Cleanup
Add to cron:
```bash
crontab -e
```
Add this line:
```bash
*/10 * * * * /path/to/cleanup.sh
```

## Prerequisites
- FFmpeg installed (`sudo apt install ffmpeg`)

## License
Do whatever you want.

---